Pangkalahatang-ideya ng key
| Bersiyon ng key | V4 |
|---|---|
| Espesipikasyon | RFC 2440 · RFC 4880 · RFC 9580 |
| Katayuan | Compatible, ngunit hindi na inirerekomenda ng RFC 9580 |
| Pangunahing key (pagsertipika, paglagda) | ECDSA secp256k1 · ID 19 · SHA-256 |
| Encryption subkey | ECDH NIST P-256 · ID 18 |
| Fingerprint | E060726BC7DBB56FDF7753749EF00F97D46EF942 |
| Passphrase ng pribadong key | synthetic-key-password |
Mga algorithm at gamit
ECDSA secp256k1: Elliptic-curve na lagda sa secp256k1, ang curve na kilala mula sa Bitcoin. Wala ito sa curve registry ng RFC 9580: suportado ito ng GnuPG, ngunit tinatanggihan ng software na nakabatay sa Sequoia, kasama ang keys2 keyserver. Gamitin lamang para sa compatibility sa mga sistemang nangangailangan ng curve na ito.
ECDH NIST P-256: Elliptic-curve Diffie-Hellman na encryption subkey sa NIST P-256.
Pampublikong key
Ang pampublikong sertipiko na may pangunahing key, encryption subkey at mga lagdang nag-uugnay sa mga ito. I-import upang mag-verify ng mga lagda o mag-encrypt para sa test identity na ito.
I-download → 729 byte
-----BEGIN PGP PUBLIC KEY BLOCK-----
xk8EaveFGRMFK4EEAAoCAwTNUf5ZZBP4Vkns0TPMqpdU1UuXOwTkAI0tN3KFL9Tv
MG3fWZZdxvP6ehrNjf2ZtVdqTONsXe3yyIYKnxmNbe2BzStDSC1KIG1hdHJpeCAy
NC12NC1lY2RzYS1zZWNwMjU2azErZWNkaC1wMjU2wowEExMIADQFAmr3hRkWIQTg
YHJrx9u1b993U3Se8A+X1G75QgIbAwIeAQMLCQcBFQEWBScJAgcCAhkBAAoJEJ7w
D5fUbvlCGJABANI8j8owo0txl4g9tpZhOhdHHFzz0pSEzw5CNIaS5AaVAP4xfEjJ
tTglTIMbpA6DI0+kji/iQnKYiOp3Qr9CMPdfd85WBGr3hRkSCCqGSM49AwEHAgME
3MN8L40E2ij4iQkPrgyDHAqkaDw9whA7wgkVqGyLdQIPcL0EnkrnI/wcNyaoMiry
ZVy7v4pNN07aAIdp55ytowMBCAfCeAQYEwgAIAUCaveFGRYhBOBgcmvH27Vv33dT
dJ7wD5fUbvlCAhsMAAoJEJ7wD5fUbvlCu9YBAKbWWh8+WzankHgF3ulBFevOzy1o
ongUd4eutsTfqT6vAP4s7QQTTq5BHbTdJyzO45C6eAUS0hcCZABpqp/fQiiorg==
=SvoQ
-----END PGP PUBLIC KEY BLOCK-----
Pribadong key
Ang pribadong key na protektado ng passphrase na ipinapakita sa itaas. Inilathala para sa pagsubok lamang: magagamit ito ng sinuman.
I-download → 955 byte
Ipakita
-----BEGIN PGP PRIVATE KEY BLOCK-----
xaIEaveFGRMFK4EEAAoCAwTNUf5ZZBP4Vkns0TPMqpdU1UuXOwTkAI0tN3KFL9Tv
MG3fWZZdxvP6ehrNjf2ZtVdqTONsXe3yyIYKnxmNbe2B/gkDCKkuw9HKHsAe4FVk
IkiB4nO4HwpV7MrbrxF8zaj4G+c7JRbgIFYSJtV9Cg+0qpW/UAwTWlPi8YXlW+q3
2FI49b4ufLcELD+V3McpFYS4bxjNK0NILUogbWF0cml4IDI0LXY0LWVjZHNhLXNl
Y3AyNTZrMStlY2RoLXAyNTbCjAQTEwgANAUCaveFGRYhBOBgcmvH27Vv33dTdJ7w
D5fUbvlCAhsDAh4BAwsJBwEVARYFJwkCBwICGQEACgkQnvAPl9Ru+UIYkAEA0jyP
yjCjS3GXiD22lmE6F0ccXPPSlITPDkI0hpLkBpUA/jF8SMm1OCVMgxukDoMjT6SO
L+JCcpiI6ndCv0Iw9193x6kEaveFGRIIKoZIzj0DAQcCAwTcw3wvjQTaKPiJCQ+u
DIMcCqRoPD3CEDvCCRWobIt1Ag9wvQSeSucj/Bw3JqgyKvJlXLu/ik03TtoAh2nn
nK2jAwEIB/4JAwjneAEVHacoqOCS7QG4BsCikL2tcagHHq9zXC4WEagXy8A7ZTKJ
LRTxhtAMUWa85RU1WvhLSlMNiuUQjkXjHEI5I87pWbE7L0YjHtmGpDtdwngEGBMI
ACAFAmr3hRkWIQTgYHJrx9u1b993U3Se8A+X1G75QgIbDAAKCRCe8A+X1G75QrvW
AQCm1lofPls2p5B4Bd7pQRXrzs8taKJ4FHeHrrbE36k+rwD+LO0EE06uQR203Scs
zuOQungFEtIXAmQAaaqf30IoqK4=
=mNF1
-----END PGP PRIVATE KEY BLOCK-----
Sertipiko ng pagbawi
Isang sertipiko ng pagbawi na ginawa na nang maaga. Minamarkahan ng pag-import nito ang key bilang binawi; inilathala ito upang masubukan mo kung paano hinahawakan ng software ang mga binawing key.
I-download → 888 byte
Ipakita
-----BEGIN PGP PUBLIC KEY BLOCK-----
xk8EaveFGRMFK4EEAAoCAwTNUf5ZZBP4Vkns0TPMqpdU1UuXOwTkAI0tN3KFL9Tv
MG3fWZZdxvP6ehrNjf2ZtVdqTONsXe3yyIYKnxmNbe2BwnUEIBMIAB0FAmr3hRkW
IQTgYHJrx9u1b993U3Se8A+X1G75QgAKCRCe8A+X1G75QoBhAP9Ncgf9U9MHZ9YN
XnRwGpB1lC0npRle8kPuWWdGUqCFcQD/awiSMYB7tVdVR4e8qKTJ9TGAI2/IobMF
hVWiXCpuoQrNK0NILUogbWF0cml4IDI0LXY0LWVjZHNhLXNlY3AyNTZrMStlY2Ro
LXAyNTbCjAQTEwgANAUCaveFGRYhBOBgcmvH27Vv33dTdJ7wD5fUbvlCAhsDAh4B
AwsJBwEVARYFJwkCBwICGQEACgkQnvAPl9Ru+UIYkAEA0jyPyjCjS3GXiD22lmE6
F0ccXPPSlITPDkI0hpLkBpUA/jF8SMm1OCVMgxukDoMjT6SOL+JCcpiI6ndCv0Iw
9193zlYEaveFGRIIKoZIzj0DAQcCAwTcw3wvjQTaKPiJCQ+uDIMcCqRoPD3CEDvC
CRWobIt1Ag9wvQSeSucj/Bw3JqgyKvJlXLu/ik03TtoAh2nnnK2jAwEIB8J4BBgT
CAAgBQJq94UZFiEE4GBya8fbtW/fd1N0nvAPl9Ru+UICGwwACgkQnvAPl9Ru+UK7
1gEAptZaHz5bNqeQeAXe6UEV687PLWiieBR3h662xN+pPq8A/iztBBNOrkEdtN0n
LM7jkLp4BRLSFwJkAGmqn99CKKiu
=6HTy
-----END PGP PUBLIC KEY BLOCK-----
Lagda ng test_1MB.bin
Hiwalay na ASCII-armored na lagda ng test_1MB.bin na ginawa gamit ang key na ito sa CH-J Tools. I-save ito bilang test_1MB.bin.asc sa tabi ng test file.
I-download → 228 byte
-----BEGIN PGP SIGNATURE-----
wnUEABMIAB0WIQTgYHJrx9u1b993U3Se8A+X1G75QgUCaveO8gAKCRCe8A+X1G75
Qk/DAQCytQBaDvoMZd721uHplsmUhd2MXW937g2x9cRB0TsAngD+OD6A8zsSTCfO
kqQU+O6wL5NugSX6uLWmQKQ7ohzOkd4=
=bsx5
-----END PGP SIGNATURE-----
I-verify ang lagda
Gumagana ang mga key sa bersiyong 4 sa GnuPG at sa mga SOP tool gaya ng sqop o rsop, hangga't suportado ang mga algorithm. Gumamit ng pansamantalang GNUPGHOME upang hindi mapunta ang test key sa tunay mong keyring:
gpg --import pgp-example-24-public.asc
gpg --verify test_1MB.bin.asc test_1MB.bin